<?php


function panel_options() { 

	$categories_obj = get_categories('hide_empty=0');
	$categories = array();
	foreach ($categories_obj as $pn_cat) {
		$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
	}
	
	$sliders = array();
	$custom_slider = new WP_Query( array( 'post_type' => 'tie_slider', 'posts_per_page' => -1 ) );
	while ( $custom_slider->have_posts() ) {
		$custom_slider->the_post();
		$sliders[get_the_ID()] = get_the_title();
	}
	
	
$save='
	<div class="mpanel-submit">
		<input type="hidden" name="action" value="test_theme_data_save" />
        <input type="hidden" name="security" value="'. wp_create_nonce("test-theme-data").'" />
		<input name="save" class="mpanel-save" type="submit" value="Save Changes" />    
	</div>'; 
?>
		
		
<div id="save-alert"></div>

<div class="mo-panel">

	<div class="mo-panel-tabs">
		<div class="logo"></div>
		<ul>
			<li class="tabs general"><a href="#tab1"><span></span>General Settings</a></li>
			<li class="tabs header"><a href="#tab9"><span></span>Header Settings</a></li>
			<li class="tabs footer"><a href="#tab2"><span></span>Footer Settings</a></li>
			<li class="tabs portfolios"><a href="#tab20"><span></span>Portfolios Settings</a></li>
			<li class="tabs article"><a href="#tab6"><span></span>Article Settings</a></li>
			<li class="tabs archives"><a href="#tab12"><span></span>Archives Settings</a></li>
			<li class="tabs sidebars"><a href="#tab11"><span></span>Sidebars</a></li>
			<li class="tabs styling"><a href="#tab13"><span></span>Styling</a></li>
			<li class="tabs typography"><a href="#tab14"><span></span>Typography</a></li>
			<li class="tabs Social"><a href="#tab4"><span></span>Social Networking</a></li>
			<li class="tabs advanced"><a href="#tab10"><span></span>Advanced</a></li>
		</ul>
		<div class="clear"></div>
	</div> <!-- .mo-panel-tabs -->
	
	
	<div class="mo-panel-content">
	<form action="/" name="tie_form" id="tie_form">

	
		<div id="tab1" class="tabs-wrap">
			<h2>General Settings</h2> <?php echo $save ?>

			<div class="tiepanel-item">
				<h3>Blog Layout Settings</h3>
				<?php
												
					tie_options(
						array( 	"name" => "Index and Archives displays",
								"id" => "on_home",
								"type" => "radio",
								"options" => array( "latest"=>"Blog Style" ,
													"grid"=>"Grid style" )));
				?>
			</div>	
					
			<div class="tiepanel-item">
				<h3>Favicon</h3>
				<?php
					tie_options(
						array(	"name" => "Custom Favicon",
								"id" => "favicon",
								"type" => "upload"));
				?>
			</div>
			
			<div class="tiepanel-item">
				<h3>Custom Gravatar</h3>
				
				<?php
					tie_options(
						array(	"name" => "Custom Gravatar",
								"id" => "gravatar",
								"type" => "upload"));
				?>
			</div>	
	
			<div class="tiepanel-item">
				<h3>LightBox Setting</h3>
				<?php
					tie_options(
						array(	"name" => "LightBox Style",
								"id" => "lightbox_style",
								"type" => "select",
								"options" => array( "light_rounded"=>"Light Rounded" ,
													"light_square"=>"Light Square" ,
													"dark_square"=>"Dark Square" ,
													"dark_rounded"=>"Dark Rounded" ,
													"pp_default"=>"Pretty Style" ,
													"facebook"=>"Facebook" )));
				?>
			</div>
			
			<div class="tiepanel-item">
				<h3>Disable Right Click</h3>
				<?php
					tie_options(
						array(	"name" => "On images only",
								"id" => "right_click_img",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "On whole elements",
								"id" => "right_click_all",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Message",
								"id" => "right_click_msg",
								"type" => "text"));
				?>
			</div>
			
			
						
			<div class="tiepanel-item">
				<h3>Header Code</h3>
				<div class="option-item">
					<small>The following code will add to the &lt;head&gt; tag. Useful if you need to add additional scripts such as CSS or JS.</small>
					<textarea id="header_code" name="tie_options[header_code]" style="width:100%" rows="7"><?php echo htmlspecialchars_decode(tie_get_option('header_code'));  ?></textarea>				
				</div>
			</div>
			
			<div class="tiepanel-item">
				<h3>Footer Code</h3>
				<div class="option-item">
					<small>The following code will add to the footer before the closing  &lt;/body&gt; tag. Useful if you need to Javascript or tracking code.</small>

					<textarea id="footer_code" name="tie_options[footer_code]" style="width:100%" rows="7"><?php echo htmlspecialchars_decode(tie_get_option('footer_code'));  ?></textarea>				
				</div>
			</div>	
			
		</div>
		
		<div id="tab20" class="tabs-wrap">
			<h2>Portfolios Settings</h2> <?php echo $save ?>
			
			<div class="tiepanel-item">
				<h3>Portfolios Categories Layout Settings</h3>
				<?php						
					tie_options(
						array( 	"name" => "Portfolios Categories displays",
								"id" => "portfolio_layout",
								"type" => "radio",
								"options" => array( "equal"=>"Equal Height Layout" ,
													"masonry"=>"Masonry Layout" )));
				?>
			</div>	

			<div class="tiepanel-item">
				<h3>Portfolio Item Settings</h3>
				<?php
												
					tie_options(
						array( 	"name" => "When Click on Portfolio Item ?",
								"id" => "portfolio_open",
								"type" => "radio",
								"options" => array( "ajax"=>"Open it in the same page via AJAX" ,
													"normal"=>"Open it in Seprated page" )));
													
					tie_options(
						array( 	"name" => "Portfolio item Likes",
								"id" => "portfolio_likes",
								"type" => "checkbox"));
				?>
			</div>	
			
		</div> <!-- Header Settings -->

		<div id="tab9" class="tabs-wrap">
			<h2>Header Settings</h2> <?php echo $save ?>
			
			<div class="tiepanel-item">
				<h3>Logo</h3>
				<?php
					tie_options(
						array( 	"name" => "Logo Setting",
								"id" => "logo_setting",
								"type" => "radio",
								"options" => array( "logo"=>"Custom Image Logo" ,
													"title"=>"Display Site Title" )));

					tie_options(
						array(	"name" => "Custom Logo Image",
								"id" => "logo",
								"help" => "Upload a logo image, or enter URL to an image if it is already uploaded. the theme default logo gets applied if the input field is left blank.",
								"type" => "upload"));
				?>

			</div>
			
			
		</div> <!-- Header Settings -->
		
		
		<div id="tab2" class="tabs-wrap">
			<h2>Footer Settings</h2> <?php echo $save ?>
					
			<div class="tiepanel-item">
				<h3>Footer Settings</h3>
				<?php
					tie_options(
						array(	"name" => "'Go To Top' Icon",
								"id" => "scroll_top",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Social Icons",
								"id" => "social_icons_fotter",
								"type" => "checkbox"));
				?>
			</div>

			<div class="tiepanel-item">
				<h3>Music Player Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Enable Music Player",
								"id" => "music_player",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Auto Play",
								"id" => "music_player_auto",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Mp3 file Url <small style='font-weight:bold'>(required)</small>",
								"id" => "music_player_mp3",
								"type" => "text"));

					tie_options(
						array(	"name" => "M4A file Url",
								"id" => "music_player_m4a",
								"type" => "text"));
								
					tie_options(
						array(	"name" => "OGA file Url <small style='font-weight:bold'>(required)</small>",
								"id" => "music_player_oga",
								"type" => "text"));
				?>
				<p style="padding:15px;"><a href="https://developer.mozilla.org/en-US/docs/HTML/Supported_media_formats#Browser_compatibility" targe="_blank"> - Audio Browser compatibility </a><br />
				<a href="http://audio.online-convert.com/" targe="_blank"> - Online Tool to Convert your audio to another format </a></p>
			</div>

			<div class="tiepanel-item">
				<h3>Copyright Text</h3>
				<div class="option-item">
					<textarea id="tie_footer_one" name="tie_options[footer_one]" style="width:100%" rows="4"><?php echo htmlspecialchars_decode(tie_get_option('footer_one'));  ?></textarea>				
				</div>
			</div>	
			
		</div> <!-- Header Settings -->
		
		<div id="tab12" class="tab_content tabs-wrap">
			<h2>Archives Settings</h2>	<?php echo $save ?>	
			
			<div class="tiepanel-item">
				<h3>Category Page Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Category Description",
								"id" => "category_desc",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "RSS Icon",
								"id" => "category_rss",
								"type" => "checkbox"));
				?>
			</div>

			<div class="tiepanel-item">
				<h3>Tag Page Settings</h3>
				<?php
					tie_options(
						array(	"name" => "RSS Icon",
								"id" => "tag_rss",
								"type" => "checkbox"));
				?>
			</div>
			
			<div class="tiepanel-item">
				<h3>Author Page Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Author Bio",
								"id" => "author_bio",
								"type" => "checkbox"));
				?>
				<?php
					tie_options(
						array(	"name" => "RSS Icon",
								"id" => "author_rss",
								"type" => "checkbox"));
				?>
			</div>
			
		</div> <!-- Archives -->
		
		
		<div id="tab4" class="tabs-wrap">
			<h2>Social Networking</h2> <?php echo $save ?>

			<div class="tiepanel-item">
				<h3>Custom Feed URL</h3>
							
				<?php						
					tie_options(
						array(	"name" => "Custom Feed URL",
								"id" => "rss_url",
								"help" => "e.g. http://feedburner.com/userid",
								"type" => "text"));
				?>
			</div>
			
			<div class="tiepanel-item">
				<h3>Social Networking</h3>
				<p style="padding:10px; color:red;"> Don't forget http:// before link .</p>
						
				<?php						
					tie_options(
						array(	"name" => "Facebook URL",
								"id" => "social",
								"key" => "facebook",
								"type" => "arrayText"));

					tie_options(
						array(	"name" => "Twitter URL",
								"id" => "social",
								"key" => "twitter",
								"type" => "arrayText"));
								
					tie_options(
						array(	"name" => "Google+ URL",
								"id" => "social",
								"key" => "google_plus",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "MySpace URL",
								"id" => "social",
								"key" => "myspace",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "Orkut URL",
								"id" => "social",
								"key" => "orkut",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "dribbble URL",
								"id" => "social",
								"key" => "dribbble",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "LinkedIn URL",
								"id" => "social",
								"key" => "linkedin",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "evernote URL",
								"id" => "social",
								"key" => "evernote",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "dopplr URL",
								"id" => "social",
								"key" => "dopplr",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "ember URL",
								"id" => "social",
								"key" => "ember",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "Flickr URL",
								"id" => "social",
								"key" => "flickr",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "Picasa Web URL",
								"id" => "social",
								"key" => "picasa",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "DeviantArt URL",
								"id" => "social",
								"key" => "deviantart",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "YouTube URL",
								"id" => "social",
								"key" => "youtube",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "technorati URL",
								"id" => "social",
								"key" => "technorati",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "grooveshark URL",
								"id" => "social",
								"key" => "grooveshark",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "Vimeo URL",
								"id" => "social",
								"key" => "vimeo",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "ShareThis URL",
								"id" => "social",
								"key" => "sharethis",
								"type" => "arrayText"));
												
					tie_options(
						array(	"name" => "yahoobuzz URL",
								"id" => "social",
								"key" => "yahoobuzz",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "viddler URL",
								"id" => "social",
								"key" => "viddler",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Skype URL",
								"id" => "social",
								"key" => "skype",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Google googletalk URL",
								"id" => "social",
								"key" => "googletalk",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Digg URL",
								"id" => "social",
								"key" => "digg",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Reddit URL",
								"id" => "social",
								"key" => "reddit",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Delicious URL",
								"id" => "social",
								"key" => "delicious",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "StumbleUpon  URL",
								"key" => "stumbleupon",
								"id" => "social",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "FriendFeed URL",
								"id" => "social",
								"key" => "friendfeed",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Tumblr URL",
								"id" => "social",
								"key" => "tumblr",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Blogger URL",
								"id" => "social",
								"key" => "blogger",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Wordpress URL",
								"id" => "social",
								"key" => "wordpress",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Yelp URL",
								"id" => "social",
								"key" => "yelp",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "posterous URL",
								"id" => "social",
								"key" => "posterous",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Design Moo URL",
								"id" => "social",
								"key" => "designmoo",
								"type" => "arrayText"));
																
					tie_options(
						array(	"name" => "Bebo URL",
								"id" => "social",
								"key" => "bebo",
								"type" => "arrayText"));
																
																				
					tie_options(
						array(	"name" => "virb URL",
								"id" => "social",
								"key" => "virb",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Last.fm URL",
								"id" => "social",
								"key" => "lastfm",

								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Pandora URL",
								"id" => "social",
								"key" => "pandora",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Apple URL",
								"id" => "social",
								"key" => "apple",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "mixx URL",
								"id" => "social",
								"key" => "mixx",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Newsvine URL",
								"id" => "social",
								"key" => "newsvine",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "openid URL",
								"id" => "social",
								"key" => "openid",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "readernaut URL",
								"id" => "social",
								"key" => "readernaut",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "xing.me URL",
								"id" => "social",
								"key" => "xing",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Google Play URL",
								"id" => "social",
								"key" => "google_play",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Pinterest URL",
								"id" => "social",
								"key" => "Pinterest",
								"type" => "arrayText"));
													
					tie_options(
						array(	"name" => "Instagram URL",
								"id" => "social",
								"key" => "instagram",
								"type" => "arrayText"));
						
					tie_options(
						array(	"name" => "Spotify URL",
								"id" => "social",
								"key" => "spotify",
								"type" => "arrayText"));
								
					tie_options(
						array(	"name" => "PayPal URL",
								"id" => "social",
								"key" => "paypal",
								"type" => "arrayText"));
																				
					tie_options(
						array(	"name" => "Pinterest URL",
								"id" => "social",
								"key" => "Pinterest",
								"type" => "arrayText"));
								
					tie_options(
						array(	"name" => "Behance URL",
								"id" => "social",
								"key" => "behance",
								"type" => "arrayText"));

					tie_options(
						array(	"name" => "Viadeo URL",
								"id" => "social",
								"key" => "viadeo",
								"type" => "arrayText"));
				?>
			</div>			
		</div><!-- Social Networking -->
		
		
		
				
		<div id="tab6" class="tab_content tabs-wrap">
			<h2>Article Settings</h2> <?php echo $save ?>

			<div class="tiepanel-item">

				<h3>Article Elements</h3>
				<?php

					tie_options(
						array(	"name" => "Post Author Box",
								"desc" => "",
								"id" => "post_authorbio",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Next/Prev Article",
								"desc" => "",
								"id" => "post_nav",
								"type" => "checkbox")); 

				?>
			</div>
			
			<div class="tiepanel-item">

				<h3>Post Meta Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Post Meta :",
								"id" => "post_meta",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Author Meta",
								"id" => "post_author",
								"type" => "checkbox"));

					tie_options(
						array(	"name" => "Date Meta",
								"id" => "post_date",
								"type" => "checkbox"));


					tie_options(
						array(	"name" => "Categories Meta",
								"id" => "post_cats",
								"type" => "checkbox"));
								
					tie_options(
						array(	"name" => "Comments Meta",
								"id" => "post_comments",
								"type" => "checkbox"));


					tie_options(
						array(	"name" => "Tags Meta",
								"id" => "post_tags",
								"type" => "checkbox"));

								
				?>	
			</div>

				
			<div class="tiepanel-item">

				<h3>Share Post Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Share Post Buttons :",
								"id" => "share_post",
								"type" => "checkbox"));

				
					tie_options(
						array(	"name" => "Tweet Button",
								"id" => "share_tweet",
								"type" => "checkbox"));
								
					tie_options(
						array(	"name" => "Twitter Username <small>(optional)</small>",
								"id" => "share_twitter_username",
								"type" => "text"));
						
					tie_options(
						array(	"name" => "Facebook Like Button",
								"id" => "share_facebook",
								"type" => "checkbox"));
								
					tie_options(
						array(	"name" => "Google+ Button",
								"id" => "share_google",
								"type" => "checkbox"));
								
																
					tie_options(
						array(	"name" => "Linkedin Button",
								"id" => "share_linkdin",
								"type" => "checkbox"));
																					
					tie_options(
						array(	"name" => "StumbleUpon Button",
								"id" => "share_stumble",
								"type" => "checkbox"));
								
																			
					tie_options(
						array(	"name" => "Pinterest Button",
								"id" => "share_pinterest",
								"type" => "checkbox"));
								
				?>	
			</div>

				
			<div class="tiepanel-item">

				<h3>Related Posts Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Related Posts",
								"id" => "related",
								"type" => "checkbox")); 
								
					tie_options(
						array(	"name" => "Number of posts to show",
								"id" => "related_number",
								"type" => "short-text"));
								
					tie_options(
						array(	"name" => "Query Type",
								"id" => "related_query",
								"options" => array( "category"=>"Category" ,
													"tag"=>"Tag",
													"author"=>"Author" ),
								"type" => "radio")); 
				?>
			</div>

			
			<div class="tiepanel-item">

				<h3>jQuery Comments Settings</h3>
				<?php
					tie_options(
						array(	"name" => "Adding Comment Validation ",
								"id" => "comment_validation",
								"type" => "checkbox"));
				?>
			</div>
		</div> <!-- Article Settings -->
		
		
			

		<div id="tab11" class="tab_content tabs-wrap">
			<h2>Sidebars</h2>	<?php echo $save ?>		

			<div class="tiepanel-item">
				<h3>Sidebar Position</h3>
				<div class="option-item">
					<?php
						$checked = 'checked="checked"';
						$tie_sidebar_pos = tie_get_option('sidebar_pos');
					?>
					<ul id="sidebar-position-options" class="tie-options">
						<li>
							<input id="tie_sidebar_pos" name="tie_options[sidebar_pos]" type="radio" value="right" <?php if($tie_sidebar_pos == 'right' || !$tie_sidebar_pos ) echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/sidebar-right.png" /></a>
						</li>
						<li>
							<input id="tie_sidebar_pos" name="tie_options[sidebar_pos]" type="radio" value="left" <?php if($tie_sidebar_pos == 'left') echo $checked; ?> />
							<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/sidebar-left.png" /></a>
						</li>
					</ul>
				</div>
			</div>
			
			<div class="tiepanel-item">
				<h3>Add Sidebar</h3>
				<div class="option-item">
					<span class="label">Sidebar Name</span>
					
					<input id="sidebarName" type="text" size="56" style="direction:ltr; text-laign:left" name="sidebarName" value="" />
					<input id="sidebarAdd"  class="small_button" type="button" value="Add" />
					
					<ul id="sidebarsList">
					<?php $sidebars = tie_get_option( 'sidebars' ) ;
						if($sidebars){
							foreach ($sidebars as $sidebar) { ?>
						<li>
							<div class="widget-head"><?php echo $sidebar ?>  <input id="tie_sidebars" name="tie_options[sidebars][]" type="hidden" value="<?php echo $sidebar ?>" /><a class="del-sidebar"></a></div>
						</li>
							<?php }
						}
					?>
					</ul>
				</div>				
			</div>

			<div class="tiepanel-item">
				<h3>Custom Sidebars</h3>
				<?php
				
				$new_sidebars = array(''=> 'Default');
				if($sidebars){
					foreach ($sidebars as $sidebar) {
						$new_sidebars[$sidebar] = $sidebar;
					}
				}
				
				tie_options(				
					array(	"name" => "Home Sidebar",
							"id" => "sidebar_home",
							"type" => "select",
							"options" => $new_sidebars ));
							
				tie_options(				
					array(	"name" => "Single Page Sidebar",
							"id" => "sidebar_page",
							"type" => "select",
							"options" => $new_sidebars ));
							
				tie_options(				
					array(	"name" => "Single Article Sidebar",
							"id" => "sidebar_post",
							"type" => "select",
							"options" => $new_sidebars ));
							
				tie_options(				
					array(	"name" => "Archives Sidebar",
							"id" => "sidebar_archive",
							"type" => "select",
							"options" => $new_sidebars )); 				
				?>
			</div>
		</div> <!-- Sidebars -->			
				
		<div id="tab13" class="tab_content tabs-wrap">
			<h2>Styling</h2>	<?php echo $save ?>	
			
			
			<div class="tiepanel-item">
				<h3>Background Type</h3>
				<?php
					tie_options(
						array( 	"name" => "Background Type",
								"id" => "background_type",
								"type" => "radio",
								"options" => array( "pattern"=>"Pattern" ,
													"custom"=>"Custom Background" )));
				?>
			</div>

			<div class="tiepanel-item" id="pattern-settings">
				<h3>Choose Pattern</h3>
				
				<?php
					tie_options(
						array( 	"name" => "Background Color",
								"id" => "background_pattern_color",
								"type" => "color" ));
				?>
				
				<?php
					$checked = 'checked="checked"';
					$theme_pattern = tie_get_option('background_pattern');
				?>
				<ul id="theme-pattern" class="tie-options">
					<?php for($i=1 ; $i<=23 ; $i++ ){ 
					 $pattern = 'body-bg'.$i; ?>
					<li>
						<input id="tie_background_pattern"  name="tie_options[background_pattern]" type="radio" value="<?php echo $pattern ?>" <?php if($theme_pattern == $pattern ) echo $checked; ?> />
						<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/pattern<?php echo $i ?>.png" /></a>
					</li>
					<?php } ?>
				</ul>
			</div>

			<div class="tiepanel-item" id="bg_image_settings">
				<h3>Custom Background</h3>
				<?php
					tie_options(
						array(	"name" => "Custom Background",
								"id" => "background",
								"type" => "background"));
				?>
				<?php
					tie_options(
						array(	"name" => "Full Screen Background",
								"id" => "background_full",
								"type" => "checkbox"));
				?>

			</div>	
			<div class="tiepanel-item">
				<h3>Body Styling</h3>
				<?php
					tie_options(
						array(	"name" => "Global main Color",
								"id" => "main_color",
								"type" => "color"));

					tie_options(
						array(	"name" => "Links Color",
								"id" => "links_color",
								"type" => "color"));
								
					tie_options(
						array(	"name" => "Links Decoration",
								"id" => "links_decoration",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
					tie_options(
						array(	"name" => "Links Color on mouse over",
								"id" => "links_color_hover",
								"type" => "color"));

				
					tie_options(
						array(	"name" => "Links Decoration on mouse over",
								"id" => "links_decoration_hover",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
			</div>

			<div class="tiepanel-item">
				<h3>Header Background</h3>
				<?php
					tie_options(
						array(	"name" => "Background",
								"id" => "header_background",
								"type" => "background"));
								
				?>
			</div>
			
			<div class="tiepanel-item">
				<h3>Main Navigation Styling</h3>
				<?php

					tie_options(
						array(	"name" => "Links Color",
								"id" => "topbar_links_color",
								"type" => "color"));

					tie_options(
						array(	"name" => "Links Color on mouse over",
								"id" => "topbar_links_color_hover",
								"type" => "color"));

					tie_options(
						array(	"name" => "Current Item text color",
								"id" => "current_color",
								"type" => "color"));
								
					tie_options(
						array(	"name" => "Current Item text shadow color",
								"id" => "current_shadow_color",
								"type" => "color"));
				?>
			</div>
			
			<div class="tiepanel-item">
				<h3>Boxes and Widgets Styling</h3>
				<?php
					tie_options(
						array(	"name" => "Boxes / Widgets Background ",
								"id" => "boxes_bg",
								"type" => "color"));
				?>		
			</div>
			<div class="tiepanel-item">
				<h3>Post Styling</h3>
				<?php
					tie_options(
						array(	"name" => "Post Links Color",
								"id" => "post_links_color",
								"type" => "color"));
				
					tie_options(
						array(	"name" => "Post Links Decoration",
								"id" => "post_links_decoration",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				
					tie_options(
						array(	"name" => "Post Links Color on mouse over",
								"id" => "post_links_color_hover",
								"type" => "color"));
				
					tie_options(
						array(	"name" => "Post Links Decoration on mouse over",
								"id" => "post_links_decoration_hover",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
			</div>
			<div class="tiepanel-item">
				<h3>Quotes posts Styling</h3>
				<?php
					tie_options(
						array(	"name" => "Quote block Background",
								"id" => "quote_bg",
								"type" => "color"));

					tie_options(
						array(	"name" => "Post Links Color",
								"id" => "quote_links_color",
								"type" => "color"));
			
					tie_options(
						array(	"name" => "Post Links Decoration",
								"id" => "quote_links_decoration",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
			
					tie_options(
						array(	"name" => "Post Links Color on mouse over",
								"id" => "quote_links_color_hover",
								"type" => "color"));
			
					tie_options(
						array(	"name" => "Post Links Decoration on mouse over",
								"id" => "quote_links_decoration_hover",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
			</div>	
			<div class="tiepanel-item">
				<h3>links posts Styling</h3>
				<?php
					tie_options(
						array(	"name" => "link block Background",
								"id" => "link_bg",
								"type" => "color"));

					tie_options(
						array(	"name" => "Post Links Color",
								"id" => "link_links_color",
								"type" => "color"));
			
					tie_options(
						array(	"name" => "Post Links Decoration",
								"id" => "link_links_decoration",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
			
					tie_options(
						array(	"name" => "Post Links Color on mouse over",
								"id" => "link_links_color_hover",
								"type" => "color"));
			
					tie_options(
						array(	"name" => "Post Links Decoration on mouse over",
								"id" => "link_links_decoration_hover",
								"type" => "select",
								"options" => array( ""=>"Default" ,
													"none"=>"none",
													"underline"=>"underline",
													"overline"=>"overline",
													"line-through"=>"line-through" )));
				?>
			</div>
			
						
			<div class="tiepanel-item">
				<h3>Custom CSS</h3>	
				<div class="option-item">
					<p><strong>Global CSS :</strong></p>
					<textarea id="tie_css" name="tie_options[css]" style="width:100%" rows="7"><?php echo tie_get_option('css');  ?></textarea>
				</div>	
				<div class="option-item">
					<p><strong>Tablets CSS :</strong> Width from 768px to 985px</p>
					<textarea id="tie_css" name="tie_options[css_tablets]" style="width:100%" rows="7"><?php echo tie_get_option('css_tablets');  ?></textarea>
				</div>
				<div class="option-item">
					<p><strong>Wide Phones CSS :</strong> Width from 480px to 767px</p>
					<textarea id="tie_css" name="tie_options[css_wide_phones]" style="width:100%" rows="7"><?php echo tie_get_option('css_wide_phones');  ?></textarea>
				</div>
				<div class="option-item">
					<p><strong>Phones CSS :</strong> Width from 320px to 479px</p>
					<textarea id="tie_css" name="tie_options[css_phones]" style="width:100%" rows="7"><?php echo tie_get_option('css_phones');  ?></textarea>
				</div>	
			</div>	

		</div> <!-- Styling -->

		<div id="tab14" class="tab_content tabs-wrap">
			<h2>Typography</h2>	<?php echo $save ?>	
			
			<div class="tiepanel-item">
				<h3>Main Typography</h3>
				<?php
					tie_options(
						array( 	"name" => "General Typography",
								"id" => "typography_general",
								"type" => "typography"));
	
					tie_options(
						array( 	"name" => "Main navigation",
								"id" => "typography_main_nav",
								"type" => "typography"));

					/*tie_options(
						array( 	"name" => "Page Title",
								"id" => "typography_page_title",
								"type" => "typography"));*/

					tie_options(
						array( 	"name" => "Single Post Title",
								"id" => "typography_post_title",
								"type" => "typography"));

					tie_options(
						array( 	"name" => "Post Meta",
								"id" => "typography_post_meta",
								"type" => "typography"));

					tie_options(
						array( 	"name" => "Post Entry , page Entry",
								"id" => "typography_post_entry",
								"type" => "typography"));
								
					tie_options(
						array( 	"name" => "Widgets Titles",
								"id" => "typography_widgets_title",
								"type" => "typography"));
				?>
			</div>

			<div class="tiepanel-item">
				<h3>Post Headings</h3>
				<?php
					tie_options(
						array( 	"name" => "H1 Typography",
								"id" => "typography_post_h1",
								"type" => "typography"));
	
					tie_options(
						array( 	"name" => "H2 Typography",
								"id" => "typography_post_h2",
								"type" => "typography"));
	
					tie_options(
						array( 	"name" => "H3 Typography",
								"id" => "typography_post_h3",
								"type" => "typography"));
	
					tie_options(
						array( 	"name" => "H4 Typography",
								"id" => "typography_post_h4",
								"type" => "typography"));
	
					tie_options(
						array( 	"name" => "H5 Typography",
								"id" => "typography_post_h5",
								"type" => "typography"));
	
					tie_options(
						array( 	"name" => "H6 Typography",
								"id" => "typography_post_h6",
								"type" => "typography"));
	
				?>
			</div>
			
		</div> <!-- Typography -->
		
		
		<div id="tab10" class="tab_content tabs-wrap">
			<h2>Advanced Settings</h2>	<?php echo $save ?>	
				
			<div class="tiepanel-item">
				<h3>Theme Updates</h3>
				<?php
					tie_options(
						array(	"name" => "Notify On Theme Updates",
								"id" => "notify_theme",
								"type" => "checkbox"));
				?>
			</div>

			<div class="tiepanel-item">
				<h3>Worpress Login page Logo</h3>
				<?php
					tie_options(
						array(	"name" => "Worpress Login page Logo",
								"id" => "dashboard_logo",
								"type" => "upload"));
				?>
			
			</div>
			<?php
				global $array_options ;
				
				$current_options = array();
				foreach( $array_options as $option ){
					if( get_option( $option ) )
						$current_options[$option] =  get_option( $option ) ;
				}
			?>
			
			<div class="tiepanel-item">
				<h3>Export</h3>
				<div class="option-item">
					<textarea style="width:100%" rows="7"><?php echo $currentsettings = base64_encode( serialize( $current_options )); ?></textarea>
				</div>
			</div>
			<div class="tiepanel-item">
				<h3>Import</h3>
				<div class="option-item">
					<textarea id="tie_import" name="tie_import" style="width:100%" rows="7"></textarea>
				</div>
			</div>
	
		</div> <!-- Advanced -->
		
		
		<div class="mo-footer">
			<?php echo $save; ?>
		</form>

			<form method="post">
				<div class="mpanel-reset">
					<input type="hidden" name="resetnonce" value="<?php echo wp_create_nonce('reset-action-code'); ?>" />
					<input name="reset" class="mpanel-reset-button" type="submit" onClick="if(confirm('All settings will be rest .. Are you sure ?')) return true ; else return false; " value="Reset Settings" />
					<input type="hidden" name="action" value="reset" />
				</div>
			</form>
		</div>

	</div><!-- .mo-panel-content -->
</div><!-- .mo-panel -->


<?php
}
?>