<?php get_header(); ?>
<div class="container<?php echo tie_get_sidebar() ;?>">
	<div id="single-content">
		<div class="post-inner">
		<?php if ( ! have_posts() ) : ?>
		<div id="post-0" class="post not-found">
			<h1 class="post-title"><?php _e( 'Not Found', 'tie' ); ?></h1>
			<div class="entry">
				<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'tie' ); ?></p>
				<?php get_search_form(); ?>
			</div>
		</div>
		<?php endif; ?>

		<?php while ( have_posts() ) : the_post(); ?>
		<?php $get_meta = get_post_custom($post->ID); ?>
		<article <?php post_class('item-list'); ?>>
				<?php
					$format = get_post_format();
					if( false === $format ) { $format = 'standard'; }
				?>
				<?php get_template_part( 'content', $format ); ?>
				
				<?php if( tie_get_option( 'post_tags' ) ) the_tags( '<p class="post-tag">'.__( 'Tagged with: ', 'tie' )  ,' , ', '</p>'); ?>

				<?php edit_post_link( __( 'Edit', 'tie' ), '<span class="edit-link">', '</span>' ); ?>
				
				<?php tie_include( 'single-post-share' ); // Get Share Button template ?>
		</article><!-- .post-listing -->
			
		<?php if( ( tie_get_option( 'post_authorbio' ) && empty( $get_meta["tie_hide_author"][0] ) ) || ( isset( $get_meta["tie_hide_related"][0] ) && $get_meta["tie_hide_author"][0] == 'no' ) ): ?>		
		<section id="author-box">
			<div class="block-head">
				<h3><?php _e( 'About', 'tie' ) ?> <?php the_author() ?> </h3><div class="stripe-line"></div>
			</div>
			<div class="item-list">
				<?php tie_author_box() ?>
			</div>
		</section><!-- #author-box -->
		<?php endif; ?>
		
		<?php if( tie_get_option( 'post_nav' ) ): ?>				
		<div class="post-navigation">
			<div class="post-previous"><?php previous_post_link( '%link', '<span>'. __( 'Previous:', 'tie' ).'</span> %title' ); ?></div>
			<div class="post-next"><?php next_post_link( '%link', '<span>'. __( 'Next:', 'tie' ).'</span> %title' ); ?></div>
		</div><!-- .post-navigation -->
		<?php endif; ?>
		
		<?php tie_include( 'post-related' ); // Get Related Posts template ?>	

		<?php endwhile;?>

		<?php comments_template( '', true ); ?>
	
		</div><!-- .post-inner -->
	</div><!-- .content -->
	
	<?php get_sidebar('right'); ?>

</div><!-- .container /-->

<?php get_footer(); ?>