jQuery(document).ready(function() {

	var $container = jQuery('#blog-grid');

	jQuery("html, document, body").scrollTop(0);
	jQuery("#blog-grid, #load-more").hide();
	jQuery("#footer").addClass('footer-show');
	jQuery("body").append('<div id="preloader"></div>');
	
	
	//Load-More Button	
    var load_more = jQuery('#load-more'), orig_text = load_more.text(),	page = tiePost.paged ,  query = tiePost.query  ; 
	load_more.click(function(){
		page++;
		load_more.text( tie.loading );
		jQuery.post(tie.ajaxurl, { action:'tie_load_more' , page:page , query : query }, function(data) {
		var content = jQuery(data);
		content.fitVids();
		var columns = getNumColumns();		
		var containerWidth = jQuery('#main-content').width();		
		var postWidth = containerWidth/columns;
		postWidth = Math.floor(postWidth)-30;	

		content.each(function(index){
			jQuery(this).css({"width":postWidth+"px"});	
			if(jQuery().mediaelementplayer){
				jQuery(this).find('.wp-audio-shortcode, .wp-video-shortcode').mediaelementplayer();
			}			
		});
		
			jQuery(content).imagesLoaded(function() {
    			jQuery('#blog-grid').append( content ).isotope( 'appended', content, function() {
    			    //jQuery('#blog-grid').isotope();
					arrange();
    			});
    			load_more.text(orig_text);
				if(page >= tiePost.maxPages) load_more.fadeOut();
			});
		}, 'html');
		return false;
	});
	
	
	jQuery($container).imagesLoaded(function() {
		setPostWidth();		
		$container.isotope({
			itemSelector : '.item-list',
			resizable: false,
			animationOptions: {
				duration: 400,
				easing: 'swing',
				queue: false
			},
			masonry: {}
		});
		arrange();
		
		jQuery("#preloader").fadeOut("fast", function () {
			jQuery(this).remove(), jQuery("#blog-grid, #load-more").fadeIn("slow").css({"display":"block"});
			jQuery('#blog-grid').isotope();
			jQuery("#footer").removeClass('footer-show');
		});
	});
	
	jQuery(window).load(function(){
		jQuery('#blog-grid').isotope();
	});

	
	jQuery('#filters a').click(function(){
		var selector = jQuery(this).attr('data-filter');
		jQuery("#filters li").removeClass("current");
		jQuery(this).parent().addClass("current");
		$container.isotope({ filter: selector });
		return false;
	});

	function getNumColumns(){
		var winWidth = jQuery('#main-content').width();
		var column = 3;	
		if (winWidth<420) column = 1;
		else if(winWidth >=420 && winWidth<700) column = 2;			
		else if(winWidth>=700 && winWidth<1024) column = 3;
		else if(winWidth>=1024 && winWidth<2000) column = 4;
		else if(winWidth>=2000 && winWidth<3100) column = 5;
		else if(winWidth>= 3100) column = 6;		
		return column;
	}
	
	function setPostWidth(){
		var columns = getNumColumns();		
		var containerWidth = jQuery('#main-content').width();		
		var postWidth = containerWidth/columns;
		postWidth = Math.floor(postWidth)-30;	
		jQuery(".item-list").each(function(index){
				jQuery(this).css({"width":postWidth+"px"});		
		});
		jQuery('#blog-grid').width( ( columns * (postWidth+20) ) );
		jQuery('.page-head').width( ( columns * (postWidth+20)-60 ) );

	}
	
	function arrange(){
		var winWidth = jQuery(window).width();
		setPostWidth();		
		$container.isotope();		
	}	
	
	jQuery(window).on("debouncedresize", function( event ) {
		arrange();
	});
 
});
