jQuery(document).ready(function() {

	var $container = jQuery('#portfolio-grid');
	var openDir = 'left' , dir = '' , marginSpace = 600 ;
	marginFun();

	jQuery("html, document, body").scrollTop(0);
	jQuery("#portfolio-grid, #filters, .page-intro").hide();
	jQuery("#footer").addClass('footer-show');
	jQuery("body").append('<div id="preloader"></div>');
	

	//Load-More Button	
    var load_more = jQuery('#load-more'), orig_text = load_more.text(),	page = tiePost.paged ,	thumb = tiePost.thumb ,  query = tiePost.query  ; 
	load_more.click(function(){
	
		jQuery('#portfolio-content').fadeOut(200);
		jQuery('#portfolio-wrap').animate({marginLeft : 0 }, 1000 , function(){
			arrange();
		});
	
		page++;
		load_more.text( tie.loading );
		jQuery.post(tie.ajaxurl, { action:'tie_load_more_portfolio' , page:page , query : query , thumb : thumb }, function(data) {
			var content = jQuery(data);
			var columns = getNumColumns();		
			var containerWidth = jQuery(window).width();		
			var postWidth = containerWidth/columns;
			postWidth = Math.floor(postWidth);	

			content.each(function(index){
				jQuery(this).css({"width":postWidth+"px"}).hoverdir();				
			});
			
			$container.isotope({ filter: '*' });
			jQuery('#filters li').removeClass("current");
			jQuery('.all-items').addClass("current");
			arrange();
			
			jQuery(content).imagesLoaded(function() {
    			jQuery('#portfolio-grid').append( content ).isotope( 'appended', content);
				arrange();

    			load_more.text(orig_text);
				if(page >= tiePost.maxPages) load_more.fadeOut();
			});
			
		}, 'html');
		return false;
	});
	
	
// Open Portfolio Items - Ajax
jQuery(document).on("click", ".portfolio-item a, #prev-post, #next-post" , function() {

	if( jQuery(this).attr('data-id') == null ) return true;
	
	jQuery('#portfolio-content').html('');
	jQuery(this).parent().append('<span class="loading-item"></span>');
	
	var folioID = jQuery(this).attr('data-id') ;
	
	jQuery.post(tie.ajaxurl, { action:'tie_get_folio' , id:folioID }, function(data) {
		var content = jQuery(data);
		content.fitVids();
		if(jQuery().mediaelementplayer){
			jQuery(this).find('.wp-audio-shortcode, .wp-video-shortcode').mediaelementplayer();
		}	
		jQuery('#portfolio-content').html('');
		jQuery('#portfolio-content').append( content );
	}, 'html');
		
	$container.addClass('item-opened');
	if( $container.hasClass('item-opened') ){
		$container.removeClass('item-opened');
		jQuery('#portfolio-content').fadeOut(100);
		jQuery('#portfolio-wrap').animate({marginLeft : "0"}, 1000 );
	}
	
	if( openDir == 'right'){
		dir = '-';
		jQuery('#portfolio-content').css({float:"right"});
		openDir = 'left';
	}
	else{
		dir = '';
		jQuery('#portfolio-content').css({float:"left"});
		openDir = 'right';
	}
	jQuery('html ,body').animate({scrollTop: '0px'}, 1000 , function(){
		arrange();
	});
	jQuery('#portfolio-wrap').animate({marginLeft : dir+marginSpace+"px"}, 1000 , function() {
		jQuery('#portfolio-content').fadeIn(500 , function() {
			jQuery('.loading-item').fadeOut(200);
		});
	});
});


//Close Item 
jQuery(document).on("click", "#close-post" , function() {
	jQuery('#portfolio-content').fadeOut(200);
	jQuery('#portfolio-wrap').animate({marginLeft : 0 }, 1000 , function(){
		arrange();
	});
});

	jQuery(window).load(function(){
		setPostWidth();		
		$container.isotope({
			itemSelector : '.portfolio-item',
			resizable: false,
			animationOptions: {
				duration: 400,
				easing: 'swing',
				queue: false
			},
			masonry: {}
		});
		arrange();
		
		jQuery("#preloader").fadeOut("fast", function () {
			jQuery(this).remove(), jQuery("#portfolio-grid , #load-more, #filters, .page-intro").fadeIn("slow").css({"display":"block"});
			jQuery('#portfolio-grid').isotope();
			jQuery("#footer").removeClass('footer-show');
			
			var flioID = window.location.hash.match(/\d+$/);
			flioID = parseInt( flioID );

			if( flioID ){
			
				jQuery('#portfolio-content').html('').fadeOut(200);
				jQuery('.loading-folio').fadeIn(200);
				
				jQuery.post(tie.ajaxurl, { action:'tie_get_folio' , id:flioID }, function(data) {
					var content = jQuery(data);
					content.fitVids();
					if(jQuery().mediaelementplayer){
						jQuery(this).find('.wp-audio-shortcode, .wp-video-shortcode').mediaelementplayer();
					}	
					jQuery('#portfolio-content').html('');
					jQuery('#portfolio-content').append( content );
				}, 'html');
				
				if( openDir == 'right'){
					dir = '-';
					jQuery('#portfolio-content').css({float:"right"});
					openDir = 'left';
				}
				else{
					dir = '';
					jQuery('#portfolio-content').css({float:"left"});
					openDir = 'right';
				}
				jQuery('html ,body').animate({scrollTop: '0px'}, 1000 );
				jQuery('#portfolio-wrap').animate({marginLeft : dir+marginSpace+"px"}, 1000 , function() {
					jQuery('#portfolio-content').fadeIn(500 , function() {
						jQuery('.loading-item').fadeOut(200);
					});
				});
	
				
			}
		});
	});
	
	jQuery('#filters a').click(function(){
		var selector = jQuery(this).attr('data-filter');
		jQuery("#filters li").removeClass("current");
		jQuery(this).parent().addClass("current");
		setPostWidth();	
		$container.isotope({ filter: selector });
		return false;
	});


	jQuery(window).on("debouncedresize", function( event ) {
		arrange();
		marginFun();
	});
 
 
	function getNumColumns(){
		var winWidth = jQuery('#portfolio-wrap').width();
		var column = 3;	
		if (winWidth<400) column = 1;
		else if(winWidth >=400 && winWidth<800) column = 2;			
		else if(winWidth>=600 && winWidth<990) column = 3;
		else if(winWidth>=990 && winWidth<1320) column = 4;
		else if(winWidth>=1320 && winWidth<2100) column = 5;
		else if(winWidth>= 2100) column = 6;		
		return column;
	}
	
	function setPostWidth(){
		var columns = getNumColumns();		
		var containerWidth = jQuery(window).width()-14;		
		var postWidth = containerWidth/columns;
		postWidth = Math.floor(postWidth);	
		jQuery(".portfolio-item").each(function(index){
				jQuery(this).css({"width":postWidth+"px"});				
		});
	}
	
	function arrange(){
		setPostWidth();		
		$container.isotope();
	}	
	
	function marginFun(){
		var winWidth = jQuery(window).width();
		if (winWidth<=768){
			marginSpace = 480;
		}
		if (winWidth<=480){
			marginSpace = 320;
		}
	}
	
});

jQuery(function() {
	jQuery('.da-thumbs > .portfolio-item').hoverdir();
});

// jquery.hoverdir.js
(function(e,t){e.HoverDir=function(t,n){this.$el=e(n);this._init(t)};e.HoverDir.defaults={hoverDelay:0,reverse:false};e.HoverDir.prototype={_init:function(t){this.options=e.extend(true,{},e.HoverDir.defaults,t);this._loadEvents()},_loadEvents:function(){var t=this;this.$el.on("mouseenter.hoverdir, mouseleave.hoverdir",function(n){var r=e(this),i=n.type,s=r.find("div").not('.info'),o=t._getDir(r,{x:n.pageX,y:n.pageY}),u=t._getClasses(o);s.removeClass();if(i==="mouseenter"){s.hide().addClass(u.from);clearTimeout(t.tmhover);t.tmhover=setTimeout(function(){s.show(0,function(){e(this).addClass("da-animate").addClass(u.to)})},t.options.hoverDelay)}else{s.addClass("da-animate");clearTimeout(t.tmhover);s.addClass(u.from)}})},_getDir:function(e,t){var n=e.width(),r=e.height(),i=(t.x-e.offset().left-n/2)*(n>r?r/n:1),s=(t.y-e.offset().top-r/2)*(r>n?n/r:1),o=Math.round((Math.atan2(s,i)*(180/Math.PI)+180)/90+3)%4;return o},_getClasses:function(e){var t,n;switch(e){case 0:!this.options.reverse?t="da-slideFromTop":t="da-slideFromBottom";n="da-slideTop";break;case 1:!this.options.reverse?t="da-slideFromRight":t="da-slideFromLeft";n="da-slideLeft";break;case 2:!this.options.reverse?t="da-slideFromBottom":t="da-slideFromTop";n="da-slideTop";break;case 3:!this.options.reverse?t="da-slideFromLeft":t="da-slideFromRight";n="da-slideLeft";break}return{from:t,to:n}}};var n=function(e){if(this.console){console.error(e)}};e.fn.hoverdir=function(t){if(typeof t==="string"){var r=Array.prototype.slice.call(arguments,1);this.each(function(){var i=e.data(this,"hoverdir");if(!i){n("cannot call methods on hoverdir prior to initialization; "+"attempted to call method '"+t+"'");return}if(!e.isFunction(i[t])||t.charAt(0)==="_"){n("no such method '"+t+"' for hoverdir instance");return}i[t].apply(i,r)})}else{this.each(function(){var n=e.data(this,"hoverdir");if(!n){e.data(this,"hoverdir",new e.HoverDir(t,this))}})}return this}})(jQuery);
