<?php
add_action("admin_init", "tie_page_init" );
function tie_page_init(){
	add_meta_box("tie_page_video_options", theme_name ." - Full Background Video Options", "tie_page_video_options", "page", "normal", "high");
	add_meta_box("tie_page_img_options", theme_name ." - Full Background Image ", "tie_page_img_options", "page", "normal", "high");
	add_meta_box("tie_page_gallery_options", theme_name ." - Images Options", "tie_page_gallery_options", "page", "normal", "high");
	add_meta_box("tie_page_portflio_options", theme_name ." - Portfolio Options", "tie_page_portflio_options", "page", "normal", "high");
	add_meta_box("tie_page_options", theme_name ." - Page Options", "tie_page_options", "page", "normal", "high");
}


/*-----------------------------------------------------------------------------------*/
# Add Video Url Field To images 
/*-----------------------------------------------------------------------------------*/
function tie_attachment_field_video( $form_fields, $post ) {
	$form_fields['tie-video-url'] = array(
		'label' => 'Video URL',
		'input' => 'text',
		'value' => get_post_meta( $post->ID, 'tie_video_url', true ),
		'helps' => '',
	);
	return $form_fields;
}
add_filter( 'attachment_fields_to_edit', 'tie_attachment_field_video', 10, 2 );

function tie_attachment_field_video_save( $post, $attachment ) {
	if( isset( $attachment['tie-video-url'] ) )
		update_post_meta( $post['ID'], 'tie_video_url', $attachment['tie-video-url'] );
	return $post;
}
add_filter( 'attachment_fields_to_save', 'tie_attachment_field_video_save', 10, 2 );



	
/*-----------------------------------------------------------------------------------*/
# Portfolio Options
/*-----------------------------------------------------------------------------------*/
function tie_page_portflio_options(){

	$pcategories_obj = get_terms( 'portfolio-category' );
	$pcategories = array();
	foreach ($pcategories_obj as $pn_cat) {
		$pcategories[$pn_cat->term_id] = $pn_cat->name;
	}
	
	tie_post_options(				
		array(	"name" => "Portfolio Layout",
				"id" => "tie_portfolio_layout",
				"type" => "select",
				"options" => array(
					'equal' => 'Equal Height Layout',
					'masonry' => 'Masonry Layout' ) ));
	?>
	<?php
	$custom = get_post_custom($post->ID);
	$saved_cats = unserialize( $custom["tie_portfolio_cats"][0] ); ?>
	<div class="option-item" id="tie_portfolio_cats-item">
		<span class="label">Categories</span>
		<select multiple="multiple" id="tie_portfolio_cats[]" name="tie_portfolio_cats[]">
			<?php foreach ( $pcategories as $key => $option) { ?>
			<option value="<?php echo $key ?>" <?php if ( @in_array( $key , $saved_cats ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
			<?php } ?>
		</select>
	</div>
			

	<?php

	tie_post_options(				
		array(	"name" => "Number of items per page",
				"id" => "tie_portfolio_number",
				"type" => "select",
				"options" => array(
					'' => 'All',
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5',
					'6' => '6',
					'7' => '7',
					'8' => '8',
					'9' => '9',
					'10' => '10',
					'11' => '11',
					'12' => '12',
					'13' => '13',
					'14' => '14',
					'15' => '15',
					'16' => '16',
					'17' => '17',
					'18' => '18',
					'19' => '19',
					'20' => '20',
					'21' => '21',
					'22' => '22',
					'23' => '23',
					'24' => '24',
					'25' => '25',
					'26' => '26',
					'27' => '27',
					'28' => '28',
					'29' => '29',
					'30' => '30',
					'31' => '31',
					'32' => '32',
					'33' => '33',
					'34' => '34',
					'35' => '35',
					'36' => '36',
					'37' => '37',
					'38' => '38',
					'39' => '39',
					'40' => '40',
					'41' => '41',
					'42' => '42',
					'43' => '43',
					'44' => '44',
					'45' => '45',
					'46' => '46',
					'47' => '47',
					'48' => '48',
					'49' => '49',
					'50' => '50',
					'51' => '51',
					'52' => '52',
					'53' => '53',
					'54' => '54',
					'55' => '55',
					'56' => '56',
					'57' => '57',
					'58' => '58',
					'59' => '59',
					'60' => '60',
					'61' => '61',
					'62' => '62',
					'63' => '63',
					'64' => '64',
					'65' => '65',
					'66' => '66',
					'67' => '67',
					'68' => '68',
					'69' => '69',
					'70' => '70',
					'71' => '71',
					'72' => '72',
					'73' => '73',
					'74' => '74',
					'75' => '75',
					'76' => '76',
					'77' => '77',
					'78' => '78',
					'79' => '79',
					'80' => '80',
					'81' => '81',
					'82' => '82',
					'83' => '83',
					'84' => '84',
					'85' => '85',
					'86' => '86',
					'87' => '87',
					'88' => '88',
					'89' => '89',
					'90' => '90',
					'91' => '91',
					'92' => '92',
					'93' => '93',
					'94' => '94',
					'95' => '95',
					'96' => '96',
					'97' => '97',
					'98' => '98',
					'99' => '99',
					'100' => '100' ) ));
					
	tie_post_options(				
		array(	"name" => "Enable Ctaegories Filter",
				"id" => "tie_portfolio_filter",
				"type" => "select",
				"options" => array(
					'' => 'No',
					'yes' => 'Yes' ) ));
}

/*-----------------------------------------------------------------------------------*/
# gallery and Slider options
/*-----------------------------------------------------------------------------------*/
function tie_page_gallery_options(){
	global $post ;
	
	$custom = get_post_custom($post->ID);
	$gallery = unserialize( $custom["post_gallery"][0] );
	
	wp_enqueue_script( 'tie-admin-slider' );  
	wp_print_scripts('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_style('thickbox');
		
  ?>
  <script>
  jQuery(document).ready(function() {
  
	jQuery(function() {
		jQuery( "#tie-gallery-items" ).sortable({placeholder: "ui-state-highlight"});
	});

	
	// Uploading files
	var tie_uploader;
	jQuery('#upload_add_slide').live('click', function( event ){
 
		event.preventDefault();
		tie_uploader = wp.media.frames.tie_uploader = wp.media({
			title: 'Insert Images | Press CTRL to Multi Select .',
			library: {
				type: 'image'
			},
			button: {
				text: 'Select',
			},
			multiple: true
		});
 
		tie_uploader.on( 'select', function() {
			var selection = tie_uploader.state().get('selection');
			
			selection.map( function( attachment ) {
				attachment = attachment.toJSON();
				jQuery('#tie-gallery-items').append('<li id="listItem_'+ nextCell +'" class="ui-state-default"><div class="gallery-img"><img src="'+attachment.url+'" alt=""><input id="custom_gallery['+ nextCell +'][id]" name="custom_gallery['+ nextCell +'][id]" value="'+attachment.id+'" type="hidden" /><a class="del-cat"></a></div></li>');
				nextCell ++ ;
			});
		});
		
		tie_uploader.open();
	});
	
});

  </script>
  	<?php
		tie_post_options(				
			array(	"name" => "Gallery Layout",
					"id" => "tie_gallery_layout",
					"type" => "select",
					"options" => array(
								'equal' => 'Equal Height Layout',
								'masonry' => 'Masonry Layout' ) ));
	?>
   <input id="upload_add_slide" type="button" class="mpanel-save" value="Add New Item" style="margin-top:15px;" />
	<ul id="tie-gallery-items">
	<?php
	if( $gallery ){
	$i=0;
	foreach( $gallery as $slide ):
		$i++; ?>
		<li id="listItem_<?php echo $i ?>"  class="ui-state-default">
			<div class="gallery-img"><?php echo wp_get_attachment_image( $slide['id'] , 'thumbnail' );  ?>
				<input id="custom_gallery[<?php echo $i ?>][id]" name="custom_gallery[<?php echo $i ?>][id]" value="<?php  echo $slide['id']  ?>" type="hidden" /><a class="del-cat"></a>
			</div>
		</li>
	<?php endforeach; 
	}else{
		//echo ' <br /> Use the button above to add images !';
	}?>
	</ul>
	<script> var nextCell = <?php echo $i+1 ?> ;</script>
	
<?php
}

/*-----------------------------------------------------------------------------------*/
# Video Options
/*-----------------------------------------------------------------------------------*/
function tie_page_video_options(){
	global $post ;
	
		tie_post_options(				
			array(	"name" => "Embed Code",
					"id" => "tie_embed_code",
					"type" => "textarea"));

		tie_post_options(				
			array(	"name" => "Youtube / Vimeo Video Url",
					"id" => "tie_video_url",
					"type" => "text"));
					
}


/*-----------------------------------------------------------------------------------*/
# Full Background Image
/*-----------------------------------------------------------------------------------*/
function tie_page_img_options(){
	global $post ;
?>
	<p><strong>Enter The full url of The Background Image or set it as a featured image : </strong></p>
<?php
		tie_post_options(				
			array(	"name" => "Background Image Url",
					"id" => "tie_img_url",
					"type" => "text"));
					
		tie_post_options(				
			array(	"name" => "Hide Page Content",
					"id" => "tie_hide_content",
					"type" => "checkbox"));				
}


/*-----------------------------------------------------------------------------------*/
# main page options
/*-----------------------------------------------------------------------------------*/
function tie_page_options(){
	global $post ;
	$get_meta = get_post_custom($post->ID);
	$tie_sidebar_pos = $get_meta["tie_sidebar_pos"][0];
	
	$categories_obj = get_categories();
	$categories = array();
	$categories = array(''=> 'All Categories');
	foreach ($categories_obj as $pn_cat) {
		$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
	}

	$get_meta = get_post_custom($post->ID);
	$tie_sidebar_pos = $get_meta["tie_sidebar_pos"][0];
?>
		
		<div class="tiepanel-item">
			<h3>Sidebar Options</h3>
			<div class="option-item">
				<?php
					$checked = 'checked="checked"';
				?>
				<ul id="sidebar-position-options" class="tie-options">
					<li>
						<input id="tie_sidebar_pos"  name="tie_sidebar_pos" type="radio" value="default" <?php if($tie_sidebar_pos == 'default' || !$tie_sidebar_pos ) echo $checked; ?> />
						<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/sidebar-default.png" /></a>
					</li>						<li>
						<input id="tie_sidebar_pos"  name="tie_sidebar_pos" type="radio" value="right" <?php if($tie_sidebar_pos == 'right' ) echo $checked; ?> />
						<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/sidebar-right.png" /></a>
					</li>
					<li>
						<input id="tie_sidebar_pos"  name="tie_sidebar_pos" type="radio" value="left" <?php if($tie_sidebar_pos == 'left') echo $checked; ?> />
						<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/sidebar-left.png" /></a>
					</li>
					<li>
						<input id="tie_sidebar_pos"  name="tie_sidebar_pos" type="radio" value="full" <?php if($tie_sidebar_pos == 'full') echo $checked; ?> />
						<a class="checkbox-select" href="#"><img src="<?php echo get_template_directory_uri(); ?>/panel/images/sidebar-no.png" /></a>
					</li>
				</ul>
			</div>
			<?php
			$sidebars = tie_get_option( 'sidebars' ) ;
			$new_sidebars = array(''=> 'Default');
			if($sidebars){
				foreach ($sidebars as $sidebar) {
					$new_sidebars[$sidebar] = $sidebar;
				}
			}
					
			tie_post_options(				
				array(	"name" => "Choose Sidebar",
						"id" => "tie_sidebar_post",
						"type" => "select",
						"options" => $new_sidebars ));
			?>
		</div>
  <?php
}


/*-----------------------------------------------------------------------------------*/
# Save custom Fields
/*-----------------------------------------------------------------------------------*/
add_action('save_post', 'tie_save_pages');
function tie_save_pages(){
	global $post;
	
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;

 	$custom_meta_fields = array(
		'tie_gallery_layout',
		'tie_portfolio_layout',
		'tie_portfolio_filter',
		'tie_portfolio_number',
		'tie_img_url',
		'tie_video_url',
		'tie_embed_code',
		'tie_hide_content',
		'tie_rss_feed',
		'tie_blog_cats',
		'tie_sidebar_pos',
		'tie_sidebar_post',
);
	foreach( $custom_meta_fields as $custom_meta_field ){
	
		if(isset($_POST[$custom_meta_field]) )
			update_post_meta($post->ID, $custom_meta_field, htmlspecialchars(stripslashes($_POST[$custom_meta_field])) );
		else
			delete_post_meta($post->ID, $custom_meta_field);
	}
	
	if( $_POST['custom_gallery'] && $_POST['custom_gallery'] != "" ){
		update_post_meta($post->ID, 'post_gallery' , $_POST['custom_gallery']);		
	}
	else{ 
		delete_post_meta($post->ID, 'post_gallery' );
	}
	
	if( $_POST['tie_portfolio_cats'] && $_POST['tie_portfolio_cats'] != "" ){
		update_post_meta($post->ID, 'tie_portfolio_cats' , $_POST['tie_portfolio_cats']);		
	}
	else{ 
		delete_post_meta($post->ID, 'tie_portfolio_cats' );
	}
}

?>