<?php
add_action('init', 'tie_portfolio_register');
 
function tie_portfolio_register() {
 
	$labels = array(
		'name' => 'portfolios',
		'singular_name' => 'portfolio',
		'add_new_item' => 'Add New',
	);
 
	$args = array(
		'labels' => $labels,
		'public' => true,
		'show_ui' => true,
		'menu_icon' => get_template_directory_uri().'/panel/images/slideshow.png',
		'can_export' => true,
		'show_in_admin_bar' => true,
		'exclude_from_search' => false,
		'capability_type' => 'post',
		'hierarchical' => false,
		'menu_position' => 6,
		'rewrite' => array('slug' => 'portfolio'),
		'taxonomies' => array('portfolio-category'),
		'supports' => array('title', 'editor', 'thumbnail' )
	  ); 
 	   
	register_post_type( 'portfolio' , $args );
}


add_action( 'init', 'create_book_taxonomies', 0 );

function create_book_taxonomies() 
{
  $labels = array(
    'name' => 'Portfolio Categories'
  ); 	

  register_taxonomy('portfolio-category',array('portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'portfolio-category' ),
  ));

}



add_action("admin_init", "tie_portfolio_init");
 
function tie_portfolio_init(){
  add_meta_box("tie_portfolio_images", theme_name ." - Portfolio item options", "tie_portfolio_images", "portfolio", "normal", "high");
}
 

function tie_portfolio_images(){
	global $post;
	$custom = get_post_custom($post->ID);
	$slider = unserialize( $custom["post_gallery"][0] );
	
  
	wp_enqueue_script( 'tie-admin-slider' );  
	wp_print_scripts('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_style('thickbox');
		
  ?>
  <script>
 jQuery(document).ready(function() {
  
	jQuery(function() {
		jQuery( "#tie-gallery-items" ).sortable({placeholder: "ui-state-highlight"});
	});

	function custom_gallery_uploader(field) {
		var button = "#upload_"+field;
		jQuery(button).click(function() {
			window.restore_send_to_editor = window.send_to_editor;
			tb_show('', 'media-upload.php?referer=tie-settings&amp;type=image&amp;TB_iframe=true&amp;post_id=0');
			tie_set_gallery_img(field);
			return false;
		});

	}
	function tie_set_gallery_img(field) {
		window.send_to_editor = function(html) {
			imgurl = jQuery('img',html).attr('src');
			
			if(typeof imgurl == 'undefined') // Bug fix By Fouad Badawy
				imgurl = jQuery(html).attr('src');
			
			
			classes = jQuery('img', html).attr('class');
			if(typeof classes != 'undefined')
				id = classes.replace(/(.*?)wp-image-/, '');
			
			if(typeof classes == 'undefined'){ // Bug fix By Fouad Badawy
				classes = jQuery(html).attr('class');
				if(typeof classes != 'undefined')
					id = classes.replace(/(.*?)wp-image-/, '');
			}
				
			jQuery('#tie-gallery-items').append('<li id="listItem_'+ nextCell +'" class="ui-state-default"><div class="gallery-img"><img src="'+imgurl+'" alt=""><input id="custom_slider['+ nextCell +'][id]" name="custom_slider['+ nextCell +'][id]" value="'+id+'" type="hidden" /><a class="del-cat"></a></div></li>');
			nextCell ++ ;
			tb_remove();
			window.send_to_editor = window.restore_send_to_editor;
		}
	};
	
	custom_gallery_uploader("add_slide");
	
});

  </script>
  
 		<div class="tiepanel-item" id="portflio-options">
			<h3>Portfolio details page options</h3>
			<?php	
			tie_post_options(				
				array(	"name" => "Page header displays",
						"id" => "tie_portfolio_head",
						"type" => "select",
						"options" => array(
										'' => 'None',
										'image' => 'Featured Image',
										'lightbox' => 'Featured Image + lightbox',
										'slider' => 'Images Slideshow',
										'video' => 'Video' )));

			tie_post_options(				
				array(	"name" => "Embed Code",
						"id" => "tie_embed_code",
						"type" => "textarea"));

			tie_post_options(				
				array(	"name" => "Youtube / Vimeo Video Url",
						"id" => "tie_video_url",
						"type" => "text"));
						
						
			?>
		
			<div class="option-item" id="tie_portfolio_slider">

		
			   <input id="upload_add_slide" type="button" class="mpanel-save" value="Add New image">
				<ul id="tie-gallery-items">
				<?php
				if( $slider ){
				$i=0;
				foreach( $slider as $slide ):
					$i++; ?>
					<li id="listItem_<?php echo $i ?>"  class="ui-state-default">
						<div class="gallery-img"><?php echo wp_get_attachment_image( $slide['id'] , 'thumbnail' );  ?>
							<input id="custom_slider[<?php echo $i ?>][id]" name="custom_slider[<?php echo $i ?>][id]" value="<?php  echo $slide['id']  ?>" type="hidden" />
							<a class="del-cat"></a>
						</div>
					</li>
				<?php endforeach; 
				}else{
					//echo ' <br /> Use the button above to add images !';
				}?>
				</ul>
				<script> var nextCell = <?php echo $i+1 ?> ;</script>

			</div>
		</div>

		<div class="tiepanel-item">
			<h3>Portfolio details</h3>
			<?php	
			
			tie_post_options(				
				array(	"name" => "Client",
						"id" => "tie_portfolio_client",
						"type" => "text"));

			tie_post_options(				
				array(	"name" => "Year",
						"id" => "tie_portfolio_year",
						"type" => "text"));
						
			tie_post_options(				
				array(	"name" => "Skills",
						"id" => "tie_portfolio_skills",
						"type" => "text"));	
						
			tie_post_options(				
				array(	"name" => "Project URL",
						"id" => "tie_portfolio_url",
						"type" => "text"));
						
						
			?>
		</div>

  <?php
}
 


add_action('save_post', 'save_slide');
function save_slide(){
  global $post;
  
	$slug = 'portfolio';

	$_POST += array("{$slug}_edit_nonce" => '');
    if ( $slug != $_POST['post_type'] ) {
        return;
    }
	
  	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		return $post_id;

 	$custom_meta_fields = array(
		'tie_portfolio_head',
		'tie_video_url',
		'tie_embed_code',
		'tie_portfolio_client',
		'tie_portfolio_year',
		'tie_portfolio_skills',
		'tie_portfolio_url' );
		
	foreach( $custom_meta_fields as $custom_meta_field ){
	
		if(isset($_POST[$custom_meta_field]) )
			update_post_meta($post->ID, $custom_meta_field, htmlspecialchars(stripslashes($_POST[$custom_meta_field])) );
		else
			delete_post_meta($post->ID, $custom_meta_field);
	}
	
  	if( $_POST['custom_slider'] && $_POST['custom_slider'] != "" ){
		update_post_meta($post->ID, 'post_gallery' , $_POST['custom_slider']);		
	}
	else{ 
		delete_post_meta($post->ID, 'post_gallery' );
	}
}


add_filter("manage_edit-portfolio_columns", "tie_portfolio_edit_columns");
function tie_portfolio_edit_columns($columns){
  $columns = array(
    "cb" => "<input type=\"checkbox\" />",
    "title" => "Title",
	"category" => "Category",
	"date" => "Date",
	"tiethumb" => "Thumbnail",
  );
 
  return $columns;
}


add_action("manage_portfolio_posts_custom_column",  "tie_portfolio_custom_columns");
function tie_portfolio_custom_columns($column){
	global $post;
	
	switch ($column) {
		case "category":
				$portfolio_terms = get_the_terms( get_the_ID(), 'portfolio-category' );
				$portfolio_id = '';
				if(is_array($portfolio_terms)){
				$category = '';
						if(is_array($portfolio_terms)){
							foreach($portfolio_terms as $term) $category .= $term->name.' , ';		
						}
						echo $category = substr($category, 0, -3);
					}	

		break;
		
		case "tiethumb":
			$image_id = get_post_thumbnail_id($post->ID);  
			echo $image_url = wp_get_attachment_image( $image_id, array(45,45) ); 
		break;
	}
}

?>