<?php get_header(); ?>

<div class="container full-width">

	<div id="single-content">
	
	<div class="post-inner">
	
		<?php if ( ! have_posts() ) : ?>
		<div id="post-0" class="post not-found">
			<h1 class="post-title"><?php _e( 'Not Found', 'tie' ); ?></h1>
			<div class="entry">
				<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'tie' ); ?></p>
				<?php get_search_form(); ?>
			</div>
		</div>
		<?php endif; ?>

		<?php while ( have_posts() ) : the_post(); ?>
		<?php $get_meta = get_post_custom($post->ID); ?>
					
		<article <?php post_class('item-list'); ?>>

			<div class="post-media">
			<?php
				$image_id = get_post_thumbnail_id($post->ID);  
				$image = wp_get_attachment_image_src( $image_id , 'full'  );
				$image_width =  tie_image_size($image[1] , $image[2]);

				switch ( $get_meta["tie_portfolio_head"][0] ) {
					case 'slider':
						tie_gallery();
						break;
					case 'video':
						tie_vedio();
						break;
					case 'image':  ?>
						<img src="<?php echo $image[0]; ?>" alt="" />
					<?php
						break;
					case 'lightbox':
					?>
							<a href="<?php echo $image[0]; ?>" rel="prettyPhoto">
								<img src="<?php echo $image[0]; ?>" alt="" />
							</a>
					<?php
						break;
				}
			?>
			</div>

			<h1 class="portflio-title"><?php the_title(); ?></h1>
			
			<?php if( tie_get_option( 'portfolio_likes' ) ): ?>
			<span class="portfolio-likes"><?php tie_post_likes() ?></span>
			<?php endif; ?>
				
			<div class="clear"></div>
			<div class="project-details">
				<ul>
					<?php if( !empty( $get_meta["tie_portfolio_client"][0] ) ): ?>
					<li><strong><?php _e( 'Client : ' , 'tie') ; ?></strong> <?php echo $get_meta["tie_portfolio_client"][0]; ?></li>
					<?php endif; ?>
					<?php if( !empty( $get_meta["tie_portfolio_year"][0] ) ): ?>
					<li><strong><?php _e( 'Year : ' , 'tie') ; ?></strong> <?php echo $get_meta["tie_portfolio_year"][0]; ?></li>
					<?php endif; ?>
					<?php if( !empty( $get_meta["tie_portfolio_skills"][0] ) ): ?>
					<li><strong><?php _e( 'Skills : ' , 'tie') ; ?></strong> <?php echo $get_meta["tie_portfolio_skills"][0]; ?> </li>
					<?php endif; ?>
				</ul>
				<?php if( !empty( $get_meta["tie_portfolio_url"][0] ) ): ?>
				<a class="launch-project" href="<?php echo $get_meta["tie_portfolio_url"][0]; ?>">Launch Project &rarr; </a>
				<?php endif; ?>
			</div>
			
			<div class="portflio-entry entry">
				<?php the_content( __( 'Read More &raquo;', 'tie' ) ); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'tie' ), 'after' => '</div>' ) ); ?>
			</div>

			<?php edit_post_link( __( 'Edit', 'tie' ), '<span class="edit-link">', '</span>' ); ?>
			<div class="clear"></div>
		</article><!-- .post-listing -->
		<?php endwhile;?>
	
		</div><!-- .post-inner -->
		
	</div><!-- .content -->

</div><!-- .container /-->

<?php get_footer(); ?>