<?php
/*
Template Name: portfolio
*/
?>
<?php get_header(); ?>
	<?php
	the_post();
	$the_content = get_the_content();
	if( !empty($the_content) ): ?>
	<div class="page-intro">
	<?php echo $the_content;?>
	</div>
	<?php endif; ?>
<?php
	$get_meta = get_post_custom($post->ID);
	
	if(!empty($get_meta["tie_portfolio_cats"][0]))
		$cat_id = unserialize($get_meta["tie_portfolio_cats"][0]);
	
	$thumb = 'folio-thumb';
	if(  empty( $get_meta["tie_portfolio_layout"][0] ) ||  $get_meta["tie_portfolio_layout"][0] == 'equal' )
		$thumb = 'folio-thumb2';

	if( is_page_template('template-portfolio.php') && !empty( $get_meta["tie_portfolio_filter"][0] ) ): ?>
	
	<ul id="filters">
	  <li class="all-items current"><a href="#" data-filter="*"><?php _e( 'All' , 'tie' ) ?></a></li>	
<?php	
	if( !empty( $cat_id) ){
		foreach($cat_id as $cat) { 
			$category = get_term_by( 'id', $cat , 'portfolio-category'); ?>
		<li> / <a href="#" data-filter=".folio-<?php echo $category->term_id ?>"><?php echo $category->name ?></a></li>
	<?php
		}
	}
	else{
		$categories = get_terms('portfolio-category');
		foreach($categories as $category) { ?>
		<li> / <a href="#" data-filter=".folio-<?php echo $category->term_id ?>"><?php echo $category->name ?></a></li>
	<?php }
	}	?>
	</ul>
	<?php endif;?>
	

<?php
	$posts_per_page = $get_meta["tie_portfolio_number"][0]; 
	if( empty($posts_per_page) ) $posts_per_page = -1;

    wp_enqueue_script( 'tie-portfolio' );
		
	if( !empty( $cat_id) )
		$args =  array ('post_type' => 'portfolio','posts_per_page' => $posts_per_page	, 'tax_query' => array(	array( 'taxonomy' => 'portfolio-category','field' => 'id','terms' => $cat_id )));
	else
		$args =  array ('post_type' => 'portfolio','posts_per_page' => $posts_per_page );
?>
<div id="portfolio-wrapper">
	<div id="portfolio-content"></div>
	<div id="portfolio-wrap">
		<div id="portfolio-grid" class="da-thumbs" >        
		<?php query_posts($args); ?>

		<?php get_template_part( 'loop', 'portfolio' ); ?>

		</div>
	<?php  if ($wp_query->max_num_pages > 1) : ?>
		<a id="load-more" href="#"><?php _e( 'Load More' , 'tie' ) ?></a>
	<?php  endif; ?>
	<script type='text/javascript'>
		/* <![CDATA[ */
		var tiePost = {'paged' : '<?php echo $paged ?>' ,'maxPages' : '<?php echo $wp_query->max_num_pages ?>' , 'query' : '<?php echo serialize( $args ) ?>' , 'thumb' : '<?php echo $thumb; ?>'};
		/* ]]> */
	</script>
	</div>
</div><!-- .container /-->

<?php get_footer(); ?>